summaryrefslogtreecommitdiff
path: root/res/debian/pkg__rhizi-mux/postinst
diff options
context:
space:
mode:
authorLV-426 <lv-426@taproot.org.il>2015-05-03 16:51:39 +0300
committerLV-426 <lv-426@taproot.org.il>2015-05-05 19:04:31 +0300
commitdc05441b446aa4cf7e6eaa941c6dd623131bdcff (patch)
tree09c541f73bf6161feb33922ff04e477f29653c84 /res/debian/pkg__rhizi-mux/postinst
parent60f8d3d0589cc7fda88d933dc132bd85df35203c (diff)
deb-pkg, build.ant: introducing 'single' and 'mux' debian package variants
Currently both share the same control script, generating a 'rhizi' named package
Diffstat (limited to 'res/debian/pkg__rhizi-mux/postinst')
-rw-r--r--res/debian/pkg__rhizi-mux/postinst52
1 files changed, 52 insertions, 0 deletions
diff --git a/res/debian/pkg__rhizi-mux/postinst b/res/debian/pkg__rhizi-mux/postinst
new file mode 100644
index 00000000..44b87c5f
--- /dev/null
+++ b/res/debian/pkg__rhizi-mux/postinst
@@ -0,0 +1,52 @@
+#!/bin/sh
+# postinst script for rhizi
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ # call chmod, chown, etc.
+
+ chown www-data:www-data /var/run/rhizi
+ chown www-data:www-data /var/log/rhizi
+
+ # configure apache - FIXME: impl undo
+ echo 'enabling apache proxy modules - warning: this will not be reverted during package uninstall'
+ /usr/sbin/a2enmod deflate
+ /usr/sbin/a2enmod proxy
+ /usr/sbin/a2enmod proxy_http
+ /usr/sbin/a2enmod proxy_wstunnel
+ /usr/sbin/a2enmod rewrite
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0